Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class TemplateVMConfig

`java.lang.Object
oracle.ovs.api.datamodel.VirtualMachineBase
oracle.ovs.api.datamodel.TemplateVMConfig`

All Implemented Interfaces:
  java.io.Serializable

Deprecated. replaced by oracle.ovs.api.datamodel.vm.TemplateVMConfig

      public class TemplateVMConfig

extends VirtualMachineBase

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.ovs.api.datamodel.VirtualMachineBase
`BOOT_DEVICE_CDROM, BOOT_DEVICE_HDD, BOOT_DEVICE_PXE, CLONING, CREATING, DEFAULT_KEYBOARD_LAYOUT, DELETING, DEPLOY_AUTO, DEPLOY_MANUAL, DEPLOYING, ERROR, IMG_TYPE, INITIALIZING, MEMORY_LOWERBOUND, MIGRATING, OP_CLONE, OP_DELETE, OP_EDIT, OP_LIVEMIG, OP_PAUSE, OP_POWEROFF, OP_POWERON, OP_PREF_SRV, OP_REBOOT, OP_RESET_STATUS, OP_RESUME, OP_SAVTEM, OP_SUSPEND, OP_UNPAUSE, PAUSED, PAUSING, POWEREDOFF, REBOOTING, RESUMING, RUNNING, SAVING, SHUTTINGDOWN, SUSPENDED, SUSPENDING, UNKNOWN, UNPAUSING, VM_TYPE_HVM, VM_TYPE_PVM`

Constructor Summary
`TemplateVMConfig()` Deprecated.

Method Summary
`java.lang.String` | `getConsolePassword()` Deprecated.
`java.lang.String` | `getEnvFileContent()` Deprecated.
`java.lang.String` | `getGuestLogin()` Deprecated.
`java.lang.String` | `getGuestLoginPassword()` Deprecated.
`java.util.Properties` | `getGuestProperties()` Deprecated.
`VirtualServer[]` | `getPreferredServers()` Deprecated.
`TemplateResource` | `getTemplate()` Deprecated.
`NICConfig[]` | `getVif()` Deprecated.
`java.lang.String` | `getVmName()` Deprecated.
`boolean` | `isHaEnable()` Deprecated.
`void` | `setConsolePassword(java.lang.String consolePassword)` Deprecated.
`void` | `setEnvFileContent(java.lang.String envFileContent)` Deprecated.
`void` | `setGuestLogin(java.lang.String guestLogin)` Deprecated.
`void` | `setGuestLoginPassword(java.lang.String guestLoginPassword)` Deprecated.
`void` | `setGuestProperties(java.util.Properties guestProperties)` Deprecated.
`void` | `setHaEnable(boolean haEnable)` Deprecated.
`void` | `setPreferredServers(VirtualServer[] preferredServers)` Deprecated.
`void` | `setTemplate(TemplateResource template)` Deprecated.
`void` | `setVif(NICConfig[] vif)` Deprecated.
`void` | `setVmName(java.lang.String vmName)` Deprecated.

Methods inherited from class oracle.ovs.api.datamodel.VirtualMachineBase
`getBootDeviceCdrom, getBootDeviceHdd, getBootDevicePxe, getHvmType, getPvmType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateVMConfig

    public TemplateVMConfig()

  Deprecated.

Method Detail

### setPreferredServers

    public void setPreferredServers(VirtualServer[] preferredServers)

  Deprecated.

### getPreferredServers

    public VirtualServer[] getPreferredServers()

  Deprecated.

### setVmName

    public void setVmName(java.lang.String vmName)

  Deprecated.

### getVmName

    public java.lang.String getVmName()

  Deprecated.

### setTemplate

    public void setTemplate(TemplateResource template)

  Deprecated.
  TemplateResource will be replaced by serverPoolName and templateName
  Parameters:
    `template` -

### getTemplate

    public TemplateResource getTemplate()

  Deprecated.
  TemplateResource will be replaced by serverPoolName and templateName

### setHaEnable

    public void setHaEnable(boolean haEnable)

  Deprecated.

### isHaEnable

    public boolean isHaEnable()

  Deprecated.

### setVif

    public void setVif(NICConfig[] vif)

  Deprecated.

### getVif

    public NICConfig[] getVif()

  Deprecated.

### setConsolePassword

    public void setConsolePassword(java.lang.String consolePassword)

  Deprecated.

### getConsolePassword

    public java.lang.String getConsolePassword()

  Deprecated.

### setEnvFileContent

    public void setEnvFileContent(java.lang.String envFileContent)

  Deprecated.

### getEnvFileContent

    public java.lang.String getEnvFileContent()

  Deprecated.

### setGuestLoginPassword

    public void setGuestLoginPassword(java.lang.String guestLoginPassword)

  Deprecated.

### getGuestLoginPassword

    public java.lang.String getGuestLoginPassword()

  Deprecated.

### setGuestProperties

    public void setGuestProperties(java.util.Properties guestProperties)

  Deprecated.

### getGuestProperties

    public java.util.Properties getGuestProperties()

  Deprecated.

### setGuestLogin

    public void setGuestLogin(java.lang.String guestLogin)

  Deprecated.

### getGuestLogin

    public java.lang.String getGuestLogin()

  Deprecated.

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.